Bug 1649799 - Setting the memory threshold for the Refresh worker in the WebUI configures the wrong value in the configuration yaml
Summary: Setting the memory threshold for the Refresh worker in the WebUI configures t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Tasos Papaioannou
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 14:36 UTC by Peter McGowan
Modified: 2019-11-05 16:21 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:01 UTC

Description Peter McGowan 2018-11-14 14:36:22 UTC
Description of problem:
Setting a memory threshold for the Refresh worker in the Configuration -> Servers -> Workers sets the incorrect value in the configuration yaml. For example setting 500MB in the WebUI sets the actual value as 500 rather than 500.megabytes, and so the worker is constantly killed and restarted.

Version-Release number of selected component (if applicable):
5.9.5.3

How reproducible:
Every time

Steps to Reproduce:
1. Set a new value for the refresh worker in the WebUI page Configuration -> Server -> Workers, for example 700MB


Actual results:
Observe in the configuration yaml that :ems_refresh_worker -> :defaults -> :memory_threshold is set to 700 rather than 700.megabytes

Expected results:
The configuration yaml for :ems_refresh_worker -> :defaults -> :memory_threshold should be set to 700.megabytes


Additional info:

Comment 3 Harpreet Kataria 2018-11-14 18:03:07 UTC
Changes were made in https://github.com/ManageIQ/manageiq-ui-classic/pull/4633 to ssave value as integer.

Comment 5 CFME Bot 2018-11-14 21:08:03 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e8c920564b378e8b133c8c47ad1867c469a6b145
commit e8c920564b378e8b133c8c47ad1867c469a6b145
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Nov 14 12:56:57 2018 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Nov 14 12:56:57 2018 -0500

    Fixed reading of ems_refresh_threshold memory_threshold value

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1649799

 app/views/ops/_settings_workers_tab.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 CFME Bot 2018-11-19 15:27:25 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/0f35d6acd6a2e3cafc0bb62097d9e80baa744538
commit 0f35d6acd6a2e3cafc0bb62097d9e80baa744538
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Nov 15 20:12:55 2018 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Nov 15 20:12:55 2018 -0500

    Fixed reading of ems_refresh_threshold memory_threshold value

    Hammer specific PR for https://github.com/ManageIQ/manageiq-ui-classic/pull/4925

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1649799

 app/views/ops/_settings_workers_tab.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 Tasos Papaioannou 2018-12-06 14:43:22 UTC
Verified on 5.10.0.27.

Comment 8 errata-xmlrpc 2019-02-07 23:03:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.